Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMBean

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMCoin
                  |
                  +--com.jxml.quick.model.qjml.QMBean

All Implemented Interfaces:
  Cloneable, QMElement

public class QMBean
extends QMCoin
implements QMElement

Models a bean element in QJML. A bean element is used to describe elements.

    DTD:

    <!ELEMENT bean (rem*, extends?, implements*,
        (targetClass|targetFactory), attributes?,
        elements?, field*, property*)>

    <!ATTLIST bean
        label CDATA #IMPLIED
        tag CDATA #IMPLIED
        wild CDATA "False"
        type (MIXED|BIMODAL) #IMPLIED
        inline CDATA "False"
        generate CDATA "True"
        ID id #IMPLIED
    >

Field Summary
`QMAttributes` | `attributes` Models an attributes element, which is optional.
`QMElements` | `elements` Models an elements element, which is optional.
`QMExtends` | `extendor` Models an extends element, which is optional.
`QMCoin` | `extendsCoin` The QMAbstract or QMBean object named by the extends element.
`ArrayList` | `fieldList` A container for QMField objects, which model field elements.
`ArrayList` | `implementsList` A container for QMImplements objects, which model implements elements.
`boolean` | `inline` Models the inline attribute on the bean element.
`ArrayList` | `propertyList` A container for QMProperty objects, which model property elements.
`String` | `tag` Models the tag attribute on the bean element.
`QMTarget` | `target` Models target, which is an interface element.
`String` | `type` Models the type attribute on the bean coin.
`boolean` | `wild` Models the wild attribute on the bean coin.

Fields inherited from class com.jxml.quick.model.qjml.QMCoin
`accessors, extensions, generate, implementations, label, remList`

Constructor Summary
`QMBean()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`QMAccess` | `getAccessor(Map coinMap, String name)` Returns the object which models the named field or property element.
`Map` | `getAtts()` Returns a table of objects which model attribute item elements.
`String` | `getClassName()` Returns the fully qualified name of the class described by this coin.
`String` | `getLabel()` Returns the unique (within the scope of the QJML document) name of the coin, as specified by the coin's label.
`String` | `getTag()` Returns the XML tag name assigned to the bean element.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public String tag

  Models the tag attribute on the bean element. The tag attribute holds the XML tag name for the element being defined by the bean element.

  When the label attribute is not present, the tag attribute is used to name the bean coin.

### wild

    public boolean wild

  Models the wild attribute on the bean coin. The wild attribute defaults to false. When the wild attribute is true, the bean element can be used to represent an element with any tag name.

  When the wild attribute is false, the tag attribute is required, but when the wild attribute is true, the tag attribute must not be present.

  When the wild attribute is false, the label attribute is optional, but when the wild attribute is true, the label attribute is required.

### type

    public String type

  Models the type attribute on the bean coin. The type attribute is optional.

  The following values are allowed:

  - MIXED -- The element can contain both text and other elements.
  - BIMODAL -- Any given element can contain either text or other elements.

  When the type attribute is not specified, the element being defined can contain only other elements.

### inline

    public boolean inline

  Models the inline attribute on the bean element. The inline attribute is optional, with a default value of false. When creating an XML document, the element is begun on a new line unless inline is set to true.

### extendor

    public QMExtends extendor

  Models an extends element, which is optional. A bean coin can extend an abstract coin or another bean coin, which is named by the extends element.

### implementsList

    public ArrayList implementsList

  A container for QMImplements objects, which model implements elements. The implements elements are optional and repeating. These implements elements name the interface coins which this bean coin "implements". (A bean element can impliment any number of interfaces.)

### target

    public QMTarget target

  Models target, which is an interface element. The target element (targetClass, targetEditor, or targetFactory) is optional. The target element names the Java class which this bean element describes.

### attributes

    public QMAttributes attributes

  Models an attributes element, which is optional. The attributes element defines the attributes associated with this coin, as well as various related variables and property methods on the Java class used to model those attributes.

### elements

    public QMElements elements

  Models an elements element, which is optional. The elements element specifies the elements which can be contained by the element being defined.

### fieldList

    public ArrayList fieldList

  A container for QMField objects, which model field elements. The field elements are optional and repeating. These field elements describe the variables of the Java class which this bean element describes.

### propertyList

    public ArrayList propertyList

  A container for QMProperty objects, which model property elements. The property elements are optional and repeating. These property elements describe the bean property methods of the Java class which this bean element describes.

### extendsCoin

    public transient QMCoin extendsCoin

  The QMAbstract or QMBean object named by the extends element. This variable is set when the data model is initialized.

Constructor Detail

### QMBean

    public QMBean()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QMCoin`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QMCoin`

### getLabel

    public String getLabel()

  Description copied from class: `QMCoin`
  Returns the unique (within the scope of the QJML document) name of the coin, as specified by the coin's label.
  Overrides:
    `getLabel` in class `QMCoin`

### getTag

    public String getTag()

  Returns the XML tag name assigned to the bean element. When wild is true, the value of the label attribute is returned.

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap)
                   throws SAXException

  Description copied from class: `QMCoin`
  Builds the maps. This method is called during initialization of the data model.
  Overrides:
    `buildMaps` in class `QMCoin`

### getAccessor

    public QMAccess getAccessor(Map coinMap,
                                String name)
                         throws SAXException

  Description copied from class: `QMCoin`

  Returns the object which models the named field or property element. This can be a field or property found within the content of the coin element being modeled, or one found within the content of a coin which this coin extends.

  The keys include both the field or property name and a prefix, as follows:

  - field_ prefixes the name of a field entry;
  - get_ prefixes the name of a property entry with the read attribute set to true;
  - set_ prefixes the name of a property entry with the write attribute set to true. (There can be two entries for property elements.)
  Overrides:
    `getAccessor` in class `QMCoin`

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QMCoin`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QMCoin`

### getAtts

    public Map getAtts()
                throws SAXException

  Description copied from interface: `QMElement`
  Returns a table of objects which model attribute item elements. Inherited attribute item elements are included.
  Specified by:
    `getAtts` in interface `QMElement`

### getClassName

    public String getClassName()
                        throws SAXException

  Description copied from class: `QMCoin`
  Returns the fully qualified name of the class described by this coin.
  Overrides:
    `getClassName` in class `QMCoin`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD